# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "axum-response-cache"
version = "0.5.0"
authors = [
    "Omniscopy Dev Team <dev@omniscopy.com>",
    "Benedykt Jaworski <benedykt.jaworski@omniscopy.com>",
]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Axum layer for caching HTTP responses of the wrapped server"
readme = "README.md"
keywords = [
    "axum",
    "middleware",
    "caching",
    "http",
]
categories = [
    "web-programming::http-server",
    "caching",
]
license = "MIT"
repository = "https://github.com/omniscopy/axum-response-cache"

[features]
axum07 = ["dep:axum_07"]
axum08 = ["dep:axum_08"]
default = ["axum08"]

[lib]
name = "axum_response_cache"
path = "src/lib.rs"

[dependencies.axum_07]
version = "^0.7"
optional = true
default-features = false
package = "axum"

[dependencies.axum_08]
version = "^0.8"
optional = true
default-features = false
package = "axum"

[dependencies.cached]
version = "1.1"

[dependencies.http]
version = "1.2.0"

[dependencies.tower]
version = "0.5.2"

[dependencies.tracing]
version = "0.1.41"

[dependencies.tracing-futures]
version = "0.2.5"

[dev-dependencies.axum_07]
version = "^0.7"
features = ["tokio"]
package = "axum"

[dev-dependencies.axum_08]
version = "^0.8"
features = ["tokio"]
package = "axum"

[dev-dependencies.rand]
version = "0.10"

[dev-dependencies.tokio]
version = "1.42.0"
features = ["full"]

[dev-dependencies.tower]
version = "0.5.1"
features = ["util"]
